#pragma once
#include "EntityState.h"
#include "CS_JackBubblerBlade.h"
#include "PeReadyBar.h"
extern const int CS_JackSTATENAME_BUBBLER;
//¼¼ÄÜ£ºÅÝÅÝÇ¹
class CS_JackBubbler :
    public EntitySkillState
{
public:
    CS_JackBubbler();
    const wchar_t* GetSaveName() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
    static bool ReadyBar_Leave(std::weak_ptr<Entity> e);
    static void ReadyBar_Destroy(std::weak_ptr<Entity> e);
    std::weak_ptr<PeReadyBar> ammoBar;
    int ammo_count = 100;
    int ammo_count_max = 100;
    float fcounter = 0;
    std::list<std::weak_ptr<CS_JackBubblerBlade>> amList;
    int level = 0;
    int outOfAmmo_counter = 0;
    int outOfAmmo_counter_max = 60;
    int shootingToRefill_counter = 0;
    int shootingToRefill_counter_max = 16;
    int ammoRefill_counter = 0;
    int ammoRefill_counter_max = 0;
};

